
Redmine - Defect #8697

Error: "NoMethodError: private method `split' called for nil:NilClass" after update from 1.1.3 to 1.2.0

2011-06-27 21:03 - Defferrari Suporte Suporte

Status: Closed Start date: 2011-06-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I performed the upgrade from version 1.1.3 to version 1.2.0. After starting the application, the errors appear in the log:

Mon Jun 27 15:57:45 -0300 2011: Error calling Dispatcher.dispatch #<NoMethodError: private method `split' called for nil:NilClass>

/opt/rails/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:52:in `dispatch_cgi'

/opt/rails/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:101:in `dispatch_cgi'

/opt/rails/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:27:in `dispatch'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:76:in `process'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in `synchronize'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in `process'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:159:in `process_client'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in `each'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in `process_client'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `run'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `initialize'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `new'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `run'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `initialize'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `new'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `run'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:282:in `run'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in `each'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in `run'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:128:in `run'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/command.rb:212:in `run'

/usr/lib64/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:281

/usr/bin/mongrel_rails:19:in `load'

/usr/bin/mongrel_rails:19

Related issues:

Has duplicate Redmine - Defect #9620: error after updating to the last Redmin... Closed 2011-11-21

History

#1 - 2011-07-04 09:19 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Mongrel 1.1.5 + Redmine 1.2.0 requires patching, see RedmineInstall.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Compatibility-notes
http://www.tcpdf.org

